Subject: bug#47312: [website] Showing channel news

From: Ludovic Courtès <[email-masked]>
Date: Tue, 23 Mar 2021 11:37:09 +0100

Hi Luis,

Luis Felipe <[email-masked]> skribis:

> On Monday, March 22, 2021 8:07 AM, Ludovic Courtès <[email-masked]> wrote:
>
>> Hello!
>>
>> I figured it would be nice to display channel news (as shown by ‘guix
>> pull --news’) on the web site. Perhaps the three latest items could be
>> shown on the front page, as is done for blog posts, and then each entry
>> would get its own page, similar to the layout of blog posts.
>
> Where would these new pages live? Maybe:
>
> List of News: /LANG_TAG/news/
> News entry: /LANG_TAG/news/NEWS_ENTRY_COMMIT_VALUE/SLUGIFIED_ENTRY_TITLE/

Yes, that sounds good to me.

>> (guix channels) has ‘read-channel-news’ to read the news, the web site
>> has code to render the blog posts, but I’m not sure how to adapt it to
>> render news entries. Thoughts?
>
> I'd like to help with this, but after helping with https://issues.guix.gnu.org/43871. Maybe what is found to work to generalize presentation of different media items in #43871 can be used for presenting channel news.

Oh sure, that makes sense.

Thanks for your feedback,
Ludo’.